Ask Your Question
0

OpenCV 3.1 build from source - core test fails for 3 tests

asked 2016-06-01 16:29:48 -0500

rbaleksandar gravatar image

updated 2016-06-01 16:30:59 -0500

Hi!

I've just finished compiling OpenCV 3.1 on my 64bit Debian Jessie with a lot of features enabled (Qt, OpenGL, Matlab (I have R2014), Python2 and 3, Tesseract, Ceres etc.). Now I've started running the test. Sadly the first test fails (I haven't continued with the rest since I'd like to resolved the issues one by one). The failed tests in opencv_test_core are:

  • Core_globbing.accuracy - I've read somewhere that this fails do to a missing input image. Is that correct?
  • hal_intrin.float32x4 - in cmake-gui I get OpenCV_HAL_DIR-NOTFOUND along with empty OPENCV_HAL_HEADERS and OPENCV_HAL_LIBS. So my guess would be that this is the reason. I have no idea how to enable HAL support though. Any pointers how to do that?
  • hal_intrin.float64x2 - same as with hal_intrin.float32x4

Just a side-note which concerns Caffe - has anyone managed to build OpenCV 3.1 with Caffe support? I tried to build Caffe but it fails for both Python 2.7 and 3.4 (the version I'm having) because of python-dateutils being 2.5 (or something similar) and the requirement being a version >=1.4 and <2. Am I supposed to handle even such low level dependencies?!?

edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
1

answered 2016-06-02 00:41:11 -0500

berak gravatar image

updated 2016-06-02 00:55:42 -0500

imho, you're entirely safe to ignore the failed tests.

  • Core_globbing.accuracy - yes , that would rely on external data from the itseez/opencv_extra repo (huge !)

  • hal: - there was a shortlived attempt to have a seperate hal "module", but that had to get reversed, so the empty folders / options are a just a remainder of that, again - WIP, ignore

  • caffe - there are actually 3 modules in opencv_contrib, which rely on even slightly different caffe versions, on my box, the dnn one always compiled by magic, the other 2(dnns_easily_fooled, cnn3dobj) never.

have not tried the (dnn)python bindings, but if it complains about dateutils, i guess, you have to bite the apple, and reinstall that.

edit flag offensive delete link more

Comments

Thanks for the info. Yeah, I guess I'll have to stick to C++ with Caffe. Will also give the Matlab bindings a go. Hope it works.

rbaleksandar gravatar imagerbaleksandar ( 2016-06-02 01:13:20 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2016-06-01 16:29:48 -0500

Seen: 2,265 times

Last updated: Jun 02 '16